wood burning stoves 2.0*
The moose likes Oracle/OAS and the fly likes Oracle 9i and J2SE 1.6 compatibility Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Android Security Essentials Live Lessons this week in the Android forum!
JavaRanch » Java Forums » Products » Oracle/OAS
Bookmark "Oracle 9i and J2SE 1.6 compatibility" Watch "Oracle 9i and J2SE 1.6 compatibility" New topic
Author

Oracle 9i and J2SE 1.6 compatibility

Ashoke chintu
Greenhorn

Joined: Jul 30, 2008
Posts: 4
I have instalalled oracle 9i on my system C:\oracle\... and J2SE in C:\Program Files\Java\jdk1.6.0_07\... when i try to run a simple database connecting program it compiles but on interpreting it gives the error
Class def not found error.
Is oracle 9i and J2SE compatible with each other. also I have seen my friend PC his Oracle 9i has a "ora 90" folder while i have "ora 92" folder.
The enviornment varible setup are:-
PATH = %SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\Program Files\Apache Software Foundation\Tomcat 6.0\lib\servlet-api.jar;C:\oracle\ora92\jdbc\lib\classes12.zip;C:\Program Files\Java\jdk1.6.0_07\bin

SETPATH = C:\Program Files\Apache Software Foundation\Tomcat 6.0\lib\servlet-api.jar;C:\oracle\ora92\jdbc\lib\classes12.zip;C:\Program Files\Java\jdk1.6.0_07\bin

reply asap
I have to start working..
Avi Abrami
Ranch Hand

Joined: Oct 11, 2000
Posts: 1121

Ashoke,
You are using Oracle 9i release 2.
Your friend is using Oracle 9i release 1.
The JDBC driver you use needs to be compatible with JRE 6.
You can download such a driver from:

http://www.oracle.com/technology

Good Luck,
Avi.
Ashoke chintu
Greenhorn

Joined: Jul 30, 2008
Posts: 4
This is not helping me. as I do not have a understanding of drivers. Tell me the driver "name" and url to download it. Thanks
Avi Abrami
Ranch Hand

Joined: Oct 11, 2000
Posts: 1121

Ashoke,
I suggest looking at the following:

http://www.oracle.com/technology/tech/java/sqlj_jdbc/index.html

Good Luck,
Avi.
Ashoke chintu
Greenhorn

Joined: Jul 30, 2008
Posts: 4
the following link provides the JDBC driver that are compatible with jdk1.4, jdk1.3, jdk 1.2 not jdk6...

I need some more reply from other persons...
So much time has happened but no one is helping me...


Thanks
Campbell Ritchie
Sheriff

Joined: Oct 13, 2005
Posts: 38041
    
  22
And welcome to JavaRanch, Ashoke
Avi Abrami
Ranch Hand

Joined: Oct 11, 2000
Posts: 1121

Go to this Web page:

http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc_111060.html

Read what's written there.
Notice the following:


ojdbc6.jar (1,977,267 bytes) - Classes for use with JDK 1.6. It contains the JDBC driver classes except classes for NLS support in Oracle Object and Collection types


Now go to this Web page:

http://www.oracle.com/technology/tech/java/sqlj_jdbc/index.html

See the "Interoperability Matrix"?
It says that "ojdbc6.jar" can be used with Oracle 9i Release 2.

Does this help you?

Good Luck,
Avi.
Ashoke chintu
Greenhorn

Joined: Jul 30, 2008
Posts: 4
Well thanks Avi,,,


Nice to have persons like you on Java Ranch..
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Oracle 9i and J2SE 1.6 compatibility
 
Similar Threads
context getAttribute code doubt
package oracle.jdbc.driver does not exist
Servlet compiling problem in tomcat
Problem starting TOMCAT version 5
org.apache.poi.hssf